<?php
/**
 * @package Eroshiksavp theme
 *
 *
 */

 global $showcase_text;
 global $showcase_subtext;
 global $font_body;
 global $header_widget_visibility;
 $header_widget_bg=esc_attr(get_theme_mod('header_widget_bg_color', '#FFF'));
 ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
  <head>
    <meta charset="<?php esc_attr(bloginfo('charset')); ?>">
    <meta name="description" content="<?php esc_attr(bloginfo('description')); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.arg/xfn/11">
    <?php if(is_singular() && pings_open(get_queried_object())){ ?>

        <link rel="pingback" href="<?php esc_url(bloginfo('pingback_url')); ?>">
    <?php } ?>

    <?php  wp_head(); ?>
  </head>
  <body <?php body_class(); ?>>

  <?php get_template_part('inc/style-css'); ?>

  <?php get_template_part('inc/templates/top-bar'); ?>
  <?php
    if ( has_nav_menu( 'header_menu' ) ) {
          get_template_part('menus');
      }
    ?>
    <div class="container-fluid">

        <div class="row">
            <div class="col-xs-12 header_styles">

              <?php if($header_widget_visibility==1){
                    if ( is_active_sidebar( 'eroshik-header-widget' ) ){?>

                          <div id="header-widget-area" style="background-color:<?php echo esc_attr($header_widget_bg); ?>" class="col-xs-12 hw-widget widget-area" role="complementary">
  	                               <?php dynamic_sidebar( 'eroshik-header-widget' ); ?>
                          </div>
                          <div style="clear:both"></div>
                    <?php
                        }
                }else{?>


                  <div class="header_container bg_image text-center" style="background-image:url(<?php  header_image(); ?>); background-color:<?php echo  esc_attr(get_theme_mod('showcase_background','#FFF')); ?>; !important">

                    <div class="header_btn_wrapper">
                      <?php  if(get_theme_mod('showcase_signup_visible',1)==1){?>
                        <a style="background-color: <?php echo esc_attr(get_theme_mod('showcase_s_b_color','#000000')); ?>;color:<?php echo esc_attr(get_theme_mod('showcase_s_b_text_color','#FFFFFF')); ?> " href="<?php echo esc_url(get_theme_mod('showcase_s_b_url','#')); ?>" class="btn btn-default other_btn"><?php echo esc_html(get_theme_mod('showcase_s_b_text',__('Signup','eroshiksavp'))); ?></a>
                      <?php } ?>

                      <?php  if(get_theme_mod('showcase_login_visible',1)==1){?>
                        <a  style="background-color: <?php echo esc_attr(get_theme_mod('showcase_l_b_color','#000000')); ?>;color:<?php echo esc_attr(get_theme_mod('showcase_l_b_text_color','#FFFFFF')); ?>   " href="<?php echo esc_url(get_theme_mod('showcase_l_b_url','#')); ?>" class="btn btn-default first_btn"><?php echo esc_html(get_theme_mod('showcase_l_b_text',__('Login','eroshiksavp'))); ?></a>
                      <?php } ?>
                    </div><!--header_btn_wrapper-->

                     <div class="header_content table">
                        <div class="table_cell">



                          <?php  if (display_header_text()==true){?>
                            <h1 style="color: <?php echo '#'.esc_attr(get_header_textcolor()); ?>" class="site_title"><?php echo esc_html($showcase_text); ?></h1>
                            <h2 class="site_tagline" style="color: <?php echo  '#'.esc_attr(get_header_textcolor()); ?>"><?php  echo  esc_html($showcase_subtext); ?></h2>
                          <?php } else {

                            if((get_theme_mod('showcase_logo')!=="")){

                              echo '<a href="'. esc_url(home_url()).'"><img id="header_logo" style="height:6vw;width:50vw" src="'.esc_url(get_theme_mod('showcase_logo')).'"/></a>';

                           } } ?>



                        </div><!-- table_cell-->
                     </div><!-- header_content-->
                  </div><!-- header_container -->


              <?php  }?>

                <div  class="col-xs-12 col-sm-12 eroshik_breadcrumb"><?php (get_theme_mod('display_breadcrumb',1)==1?eroshik_custom_breadcrumbs():'') ?></div>


            </div><!--col-xs-12 -->
        </div><!-- container-fluid -->
    </div><!-- container-fluid-->
